commit:     fce96c706e4a8af3ef4f1ec3528d435a0a8bfcfe
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 26 11:45:03 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 26 11:45:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fce96c70

dev-python/nose: add 1.3.7_p20221026

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/nose/Manifest                    |  1 +
 dev-python/nose/nose-1.3.7_p20221026.ebuild | 58 +++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/nose/Manifest b/dev-python/nose/Manifest
index 4582b3faa04e..af7cc2a1881c 100644
--- a/dev-python/nose/Manifest
+++ b/dev-python/nose/Manifest
@@ -1 +1,2 @@
 DIST nose-1.3.7_p20211111_p1.gh.tar.gz 327855 BLAKE2B 
acddcaa0718f23f281ea34a977354b3ef88c95d4ef712afd8354effe6df7883d473b50caaa3b5c79fcc4c36a9d45bee4eb5865a6ef66e371dae12ed1a0a0418a
 SHA512 
752eb1337fd481a1b8498ead330d716cf4180c18faabde257e9a1139928b9fa38e2e145d36c1ea8e3867a36d4843134ee26e9e9f83ff84d21f0fe246d2392d15
+DIST nose-1.3.7_p20221026.gh.tar.gz 325421 BLAKE2B 
3762e1703a6a9c90d1569d21efa9ba100f52a8b3660022694133a763d995e19a6eef2398f5013b4827e4c334a2d5e3cd14a9704a50cd822c2d554a0ed6008f2c
 SHA512 
3cb97b58525bee0cf88328ba865dc039bf3b76c56b4b42dd9dcf68f7b7585a91fb7e9b0c419668eccc0e242b2bcbb77eb197a0954ee9ad50051ef3af1a81dac3

diff --git a/dev-python/nose/nose-1.3.7_p20221026.ebuild 
b/dev-python/nose/nose-1.3.7_p20221026.ebuild
new file mode 100644
index 000000000000..83b354dadcd7
--- /dev/null
+++ b/dev-python/nose/nose-1.3.7_p20221026.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+EGIT_COMMIT="8def1b4dcf2ef6b4a34bffdfacea0018a78b06b6"
+DESCRIPTION="Unittest extension with automatic test suite discovery and easy 
test authoring"
+HOMEPAGE="
+       https://pypi.org/project/nose/
+       https://nose.readthedocs.io/en/latest/
+       https://github.com/nose-devs/nose
+"
+SRC_URI="
+       https://github.com/arthurzam/nose/archive/${EGIT_COMMIT}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep '
+                       !hppa? ( dev-python/coverage[${PYTHON_USEDEP}] )
+               ' python3_{8..10} pypy3)
+               $(python_gen_cond_dep '
+                       dev-python/twisted[${PYTHON_USEDEP}]
+               ' python3_{8..10})
+       )
+"
+
+src_prepare() {
+       # failing to find configuration file
+       sed -e 's/test_cover_options_config_file/_&/' \
+               -i unit_tests/test_cover_plugin.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       "${EPYTHON}" -m nose -v -a "!network" ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+src_install() {
+       distutils-r1_src_install
+       use examples && dodoc -r examples
+}

Reply via email to